org.apache.ivy.util

## Interface FileResolver

    public interface FileResolver

### Field Summary

Fields
`static FileResolver` `DEFAULT`

### Method Summary

Methods
`java.io.File` `resolveFile(java.lang.String path, java.lang.String filename)` Return the canonical form of a path, or raise an `IllegalArgumentException` if the path is not valid for this `FileResolver`.

### Field Detail

#### DEFAULT

    static final FileResolver DEFAULT

### Method Detail

#### resolveFile

    java.io.File resolveFile(java.lang.String path,
                           java.lang.String filename)

Return the canonical form of a path, or raise an `IllegalArgumentException` if the path is not valid for this `FileResolver`.

Parameters:
  `path` - The path of the file to resolve. Must not be `null`.
  `fileName` - The name of the file to resolve. This is used only for exception message if any. Must not be `null`.
Returns:
  the resolved File.